aboutsummaryrefslogtreecommitdiff
path: root/po/Makefile.in.in
diff options
context:
space:
mode:
authorJulien Morvan <julien.morvan@outlook.com>2015-08-31 16:42:10 +0000
committerJulien Morvan <julien.morvan@outlook.com>2015-08-31 16:42:10 +0000
commit8049927717b940abf3af8e697eb381871a3ca3d5 (patch)
tree05c16665e9608bf1cdcfb1dac52cc2eb0b1c7ba4 /po/Makefile.in.in
parent1ebec416b2d3f34d623f9fe8ce984179722dfee1 (diff)
downloadgnunet-8049927717b940abf3af8e697eb381871a3ca3d5.tar.gz
gnunet-8049927717b940abf3af8e697eb381871a3ca3d5.zip
libextractor
Diffstat (limited to 'po/Makefile.in.in')
-rw-r--r--po/Makefile.in.in20
1 files changed, 5 insertions, 15 deletions
diff --git a/po/Makefile.in.in b/po/Makefile.in.in
index fabdc76c9..83d8838ac 100644
--- a/po/Makefile.in.in
+++ b/po/Makefile.in.in
@@ -8,14 +8,13 @@
8# Please note that the actual code of GNU gettext is covered by the GNU 8# Please note that the actual code of GNU gettext is covered by the GNU
9# General Public License and is *not* in the public domain. 9# General Public License and is *not* in the public domain.
10# 10#
11# Origin: gettext-0.18.3 11# Origin: gettext-0.18
12GETTEXT_MACRO_VERSION = 0.18 12GETTEXT_MACRO_VERSION = 0.18
13 13
14PACKAGE = @PACKAGE@ 14PACKAGE = @PACKAGE@
15VERSION = @VERSION@ 15VERSION = @VERSION@
16PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ 16PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
17 17
18SED = @SED@
19SHELL = /bin/sh 18SHELL = /bin/sh
20@SET_MAKE@ 19@SET_MAKE@
21 20
@@ -97,14 +96,14 @@ CATALOGS = @CATALOGS@
97 mv t-$@ $@ 96 mv t-$@ $@
98 97
99 98
100all: all-@USE_NLS@ 99all: check-macro-version all-@USE_NLS@
101 100
102all-yes: stamp-po 101all-yes: stamp-po
103all-no: 102all-no:
104 103
105# Ensure that the gettext macros and this Makefile.in.in are in sync. 104# Ensure that the gettext macros and this Makefile.in.in are in sync.
106CHECK_MACRO_VERSION = \ 105check-macro-version:
107 test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \ 106 @test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
108 || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \ 107 || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
109 exit 1; \ 108 exit 1; \
110 } 109 }
@@ -124,7 +123,6 @@ CHECK_MACRO_VERSION = \
124# $(POFILES) has been designed to not touch files that don't need to be 123# $(POFILES) has been designed to not touch files that don't need to be
125# changed. 124# changed.
126stamp-po: $(srcdir)/$(DOMAIN).pot 125stamp-po: $(srcdir)/$(DOMAIN).pot
127 @$(CHECK_MACRO_VERSION)
128 test ! -f $(srcdir)/$(DOMAIN).pot || \ 126 test ! -f $(srcdir)/$(DOMAIN).pot || \
129 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES) 127 test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
130 @test ! -f $(srcdir)/$(DOMAIN).pot || { \ 128 @test ! -f $(srcdir)/$(DOMAIN).pot || { \
@@ -139,16 +137,8 @@ stamp-po: $(srcdir)/$(DOMAIN).pot
139 137
140# This target rebuilds $(DOMAIN).pot; it is an expensive operation. 138# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
141# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed. 139# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
142# The determination of whether the package xyz is a GNU one is based on the
143# heuristic whether some file in the top level directory mentions "GNU xyz".
144# If GNU 'find' is available, we avoid grepping through monster files.
145$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed 140$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
146 if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \ 141 if LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null | grep -v 'libtool:' >/dev/null; then \
147 LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f -size -10000000c -exec grep 'GNU @PACKAGE@' /dev/null '{}' ';' 2>/dev/null; \
148 else \
149 LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
150 fi; \
151 } | grep -v 'libtool:' >/dev/null; then \
152 package_gnu='GNU '; \ 142 package_gnu='GNU '; \
153 else \ 143 else \
154 package_gnu=''; \ 144 package_gnu=''; \